Class UmlBaseSequenceDiagramDefinition

this class manages sequence diagram definition

Declaration :

- C++ : class UmlBaseSequenceDiagramDefinition
- Java : class UmlBaseSequenceDiagramDefinition

Directly inherited by : UmlSequenceDiagramDefinition

Artifact : UmlBaseSequenceDiagramDefinition

Operation instances

return the instances present in the diagram

Declaration :

- Uml : + instances() : UmlClassInstanceReference
- C++ : public: const QVector<UmlClassInstanceReference> & instances() const
- Java : public UmlClassInstanceReference[] instances()

Operation messages

return the messages present in the diagram,
ordonned following the sending time

Declaration :

- Uml : + messages() : UmlSequenceMessage
- C++ : public: const QVector<UmlSequenceMessage> & messages() const
- Java : public UmlSequenceMessage[] messages()

Operation fragments

return the fragments present in the diagram

Declaration :

- Uml : + fragments() : UmlFragment
- C++ : public: const QVector<UmlFragment> & fragments() const
- Java : public UmlFragment[] fragments()

Relation _instances (<directional composition>)

Declaration :

- Uml : - _instances : UmlClassInstanceReference, multiplicity : *
- C++ : private: QVector<UmlClassInstanceReference> _instances
- Java : private UmlClassInstanceReference[] _instances

Relation _messages (<directional composition>)

Declaration :

- Uml : - _messages : UmlSequenceMessage, multiplicity : *
- C++ : private: QVector<UmlSequenceMessage> _messages
- Java : private UmlSequenceMessage[] _messages

Relation _fragments (<directional composition>)

Declaration :

- Uml : - _fragments : UmlFragment, multiplicity : *
- C++ : private: QVector<UmlFragment> _fragments
- Java : private UmlFragment[] _fragments

Extra Class Member qsort

Definition :

Operation read_

internal, don't call it

Declaration :

- Uml : + read_() : void
- C++ : private: void read_()
- Java : public void read_()

Operation ~UmlBaseSequenceDiagramDefinition

to avoid compiler warning, don't call it

Declaration :

- Uml : + ~UmlBaseSequenceDiagramDefinition() :
- C++ : public: ~UmlBaseSequenceDiagramDefinition()

Extra Class Member friend

Definition :

- C++ :

        friend class UmlBaseSequenceDiagram;

All public operations : fragments , instances , messages , read_